package de.tudarmstadt.informatik.hostage.protocol;

import java.security.KeyStore;
import javax.net.ssl.KeyManagerFactory;
import javax.net.ssl.SSLContext;

import de.tudarmstadt.informatik.hostage.ui.MainActivity;

/**
 * HTTPS protocol
 * @author Wulf Pfeiffer
 */
public class HTTPS extends HTTP implements SSLProtocol<String> {

	@Override
	public int getPort() {
		return 443;
	}
	
	@Override
	public boolean isSecure() {
		return true;
	}
	
	@Override
	public String toString() {
		return "HTTPS";
	}
	
	public SSLContext getSSLContext() {
		String ksName = "https_cert.bks";
		char ksPass[] = "password".toCharArray();
		KeyStore ks;
		KeyManagerFactory kmf = null;
		try {
			ks = KeyStore.getInstance(KeyStore.getDefaultType());
			ks.load(MainActivity.getContext().getAssets().open(ksName), ksPass);
			kmf = KeyManagerFactory.getInstance(KeyManagerFactory
					.getDefaultAlgorithm());
			kmf.init(ks, ksPass);
		} catch (Exception e) {
			e.printStackTrace();
		}
		SSLContext sslcontext = null;
		try {
			sslcontext = SSLContext.getInstance("SSLv3");
			sslcontext.init(kmf.getKeyManagers(), null, null);
		} catch (Exception e) {
			e.printStackTrace();
		}
		return sslcontext;
	}
	
}
